<?php
/**
 * Theme Palace widgets inclusion
 *
 * This is the template that includes all custom widgets of News Vibe Pro
 *
 * @package Theme Palace
 * @subpackage News Vibe Pro
 * @since News Vibe Pro 1.0.0
 */

/*
 * Add social link widget
 */
require get_template_directory() . '/inc/widgets/social-link-widget.php';

/*
 * Add Latest Posts widget
 */
require get_template_directory() . '/inc/widgets/latest-posts-widget.php';
/*
 * Add Recent Posts widget
 */
require get_template_directory() . '/inc/widgets/recent-posts-widget.php';
/*
 * Add Slider Posts widget
 */
require get_template_directory() . '/inc/widgets/slider-widget.php';

/*
 * Add Widget Post Filter Posts widget
 */
require get_template_directory() . '/inc/widgets/widget-posts-filter.php';

/*
 * Add Right slider sidebar widget
 */
require get_template_directory() . '/inc/widgets/right-sidebar-slider.php';


/**
 * Register widgets
 */
function news_vibe_pro_register_widgets() {

	register_widget( 'news_vibe_Latest_Post' );

	register_widget( 'news_vibe_Recent_Post' );

	register_widget( 'news_vibe_Slider_Post' );
	
	register_widget( 'news_vibe_right_sidebar_Slider_Post' );

	register_widget( 'news_vibe_Pro_Social_Link' );
	
	register_widget( 'news_vibe_Pro_Post_Filter' );

}
add_action( 'widgets_init', 'news_vibe_pro_register_widgets' );